package com.qmth.distributed.print.business.bean.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.teachcloud.common.annotation.ExcelError;
import com.qmth.teachcloud.common.annotation.ExcelNote;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description: 考生字典数据导入导出dto
 * @Author: CaoZixuan
 * @Date: 2024-02-26
 */
public class BasicExamStudentDto {

    @ApiModelProperty("课程名称")
    @ExcelProperty(name = "课程名称", width = 10, index = 1)
    @ExcelNote(value = "课程名称")
    @ExcelColumn(name = "课程名称",index = 0,nullable = true)
    @NotNull
    private String courseName;

    @ApiModelProperty("课程代码")
    @ExcelProperty(name = "课程代码", width = 10, index = 2)
    @ExcelNote(value = "课程代码")
    @ExcelColumn(name = "课程代码",index = 1,nullable = true)
    @NotNull
    private String courseCode;

    @ApiModelProperty("姓名")
    @ExcelProperty(name = "姓名", width = 10, index = 3)
    @ExcelNote(value = "姓名")
    @ExcelColumn(name = "姓名",index = 2,nullable = true)
    @NotNull
    private String studentName;

    @ApiModelProperty("学号")
    @ExcelProperty(name = "学号", width = 10, index = 4)
    @ExcelNote(value = "学号")
    @ExcelColumn(name = "学号",index = 3,nullable = true)
    @NotNull
    private String studentCode;

    @ApiModelProperty("学院")
    @ExcelProperty(name = "学院", width = 10, index = 5)
    @ExcelNote(value = "学院")
    @ExcelColumn(name = "学院",index = 4)
    private String college;

    @ApiModelProperty("专业")
    @ExcelProperty(name = "专业", width = 10, index = 6)
    @ExcelNote(value = "专业")
    @ExcelColumn(name = "专业",index = 5)
    private String major;

    @ApiModelProperty("教学班")
    @ExcelProperty(name = "教学班", width = 10, index = 7)
    @ExcelNote(value = "教学班")
    @ExcelColumn(name = "教学班",index = 6,nullable = true)
    private String teachClazz;

    @ApiModelProperty("试卷编号")
    @ExcelProperty(name = "试卷编号", width = 10, index = 8)
    @ExcelNote(value = "试卷编号")
    @ExcelColumn(name = "试卷编号",index = 7)
    private String paperNumber;

    @ApiModelProperty("任课老师")
    @ExcelProperty(name = "任课老师", width = 10, index = 9)
    @ExcelNote(value = "任课老师")
    @ExcelColumn(name = "任课老师",index = 8)
    private String teacherName;

    @ApiModelProperty("任课老师工号")
    @ExcelProperty(name = "任课老师工号", width = 10, index = 10)
    @ExcelNote(value = "任课老师工号")
    @ExcelColumn(name = "任课老师工号",index = 9)
    private String teacherCode;

    @ApiModelProperty("考试日期")
    @ExcelProperty(name = "考试日期", width = 10, index = 11)
    @ExcelNote(value = "考试日期")
    @ExcelColumn(name = "考试日期",index = 10)
    private String examDate;

    @ApiModelProperty("考试时间")
    @ExcelProperty(name = "考试时间", width = 10, index = 12)
    @ExcelNote(value = "考试时间")
    @ExcelColumn(name = "考试时间",index = 11)
    private String examTime;

    @ApiModelProperty("考点(校区)")
    @ExcelProperty(name = "考点(校区)", width = 10, index = 13)
    @ExcelNote(value = "考点(校区)")
    @ExcelColumn(name = "考点(校区)",index = 12)
    private String examPlace;

    @ApiModelProperty("考场(考试教室)")
    @ExcelProperty(name = "考场(考试教室)", width = 10, index = 14)
    @ExcelNote(value = "考场(考试教室)")
    @ExcelColumn(name = "考场(考试教室)",index = 13)
    private String examRoom;

    @ApiModelProperty("异常信息")
    @ExcelError
    private String errorMsg;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getTeachClazz() {
        return teachClazz;
    }

    public void setTeachClazz(String teachClazz) {
        this.teachClazz = teachClazz;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
